Expand shm for docker ubuntu images 28/10128/3
authorEd Kern <ejk@cisco.com>
Wed, 17 Jan 2018 04:21:12 +0000 (21:21 -0700)
committerEd Kern <ejk@cisco.com>
Wed, 17 Jan 2018 17:07:11 +0000 (10:07 -0700)
Change-Id: Ida2d9bc4974795b4d9e6277ca191356ddecaba9a
Signed-off-by: Ed Kern <ejk@cisco.com>
jjb/scripts/setup_vpp_ubuntu_docker_test.sh [new file with mode: 0644]
jjb/vpp/vpp.yaml

diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
new file mode 100644 (file)
index 0000000..41c8dd6
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+set -e -o pipefail
+
+if ! [ -z ${DOCKER_TEST} ] ; then
+               mount -o remount /dev/shm -o size=512M || true
+fi
index f88aed4..6553201 100644 (file)
             !include-raw-escape: include-raw-vpp-test-checkstyle.sh
         - shell:
             !include-raw-escape:
+                - ../scripts/setup_vpp_ubuntu_docker_test.sh
                 - ../scripts/setup_vpp_dpdk_dev_env.sh
                 - include-raw-vpp-build.sh
     publishers: